msgstream.hh File Reference
`#include <vector>`
`#include <cassert>`
`#include <ostream>`
`#include <boost/call_traits.hpp>`
`#include <boost/ref.hpp>`
`#include <miaconfig.h>`
`#include <mia/core/defines.hh>`
`#include <mia/core/dictmap.hh>`
`#include <mia/core/svector.hh>`
Include dependency graph for msgstream.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

class | CDebugSink
class | CTrace
class | vstream
| A output stream to enable certain levels of verbosity. More...

## Macros

#define | cverb ::mia::vstream::instance()
| define a shortcut to the raw output stream
#define | FUNCTION_NOT_TESTED
#define | TRACE(DOMAIN)
#define | TRACE_FUNCTION
#define | VSTREAM_DOMAIN "**"

## Functions

CDebugSink & | cvdebug ()
vstream & | cverr ()
| send errors to this stream adapter
vstream & | cvfail ()
| direct output to this stream adapter to print out failtures in tests beyond BOOST_FAIL
vstream & | cvfatal ()
| direct output to this stream adapter to print out fatalities in the code
vstream & | cvinfo ()
| informal output that may be of interest to understand problems with a program and are of higher priority then debugging output.
vstream & | cvmsg ()
| send messages to this stream adapter
vstream & | cvwarn ()
| send warnings to this stream adapter
void | set_verbose (bool verbose)

## Variables

EXPORT_CORE const TDictMap< vstream::Level > | g_verbose_dict
| Dictonary for the verbosity of the logging as used by –verbose comand line option.

## Macro Definition Documentation

## FUNCTION_NOT_TESTED

#define FUNCTION_NOT_TESTED

Definition at line 210 of file msgstream.hh.

## TRACE

#define TRACE | ( |  | DOMAIN | ) |

Definition at line 208 of file msgstream.hh.

## TRACE_FUNCTION

#define TRACE_FUNCTION

Definition at line 209 of file msgstream.hh.

## VSTREAM_DOMAIN

#define VSTREAM_DOMAIN "**"

Definition at line 39 of file msgstream.hh.

Referenced by cverr(), cvfail(), cvfatal(), cvinfo(), cvmsg(), and cvwarn().

## Function Documentation

## cvdebug()

CDebugSink & cvdebug | ( |  | ) |

inline

Definition at line 226 of file msgstream.hh.

References vstream::instance(), and vstream::ml_debug.

Referenced by add_attribute(), add_attribute(), create_plugin< Handler, Chained, chainable >::apply(), create_plugin< Handler, ProductChained, true >::apply(), create_filter_chain(), CSplineParzenMI::fill(), CSplineParzenMI::fill(), THistogram< Feeder >::get_reduced_range(), kmeans_step(), kmeans_step_with_fixed_centers(), load_image< P3DImage >(), CImageComparePrinter::operator()(), TWatershed< dim >::operator()(), fifof_Fixture::prepare(), TFactoryPluginHandler< I >::produce(), TFactoryPluginHandler< I >::set_caching(), TCSTPlan< T >::TCSTPlan(), and TPolyTriangulator< VertexVector, Polygon >::triangulate().